LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
SingleProofreadingError Struct Reference

holds a single error found by the proofreader. More...

`import"SingleProofreadingError.idl";`

## Public Attributes
long | nErrorStart
long | nErrorLength
long | nErrorType
string | aRuleIdentifier
string | aShortComment
string | aFullComment
sequence< string > | aSuggestions
sequence < com::sun::star::beans::PropertyValue > | aProperties

## Detailed Description

holds a single error found by the proofreader.

Since
  OOo 3.0.1

## Member Data Documentation

string aFullComment

sequence< com::sun::star::beans::PropertyValue > aProperties

string aRuleIdentifier

string aShortComment

sequence< string > aSuggestions

long nErrorLength

long nErrorStart

long nErrorType

The documentation for this struct was generated from the following file:

- com/sun/star/linguistic2/SingleProofreadingError.idl